Subject: Re: [mpls] Need clarification on draft-ietf-mpls-tp-on-demand-cv-05

From: Eric Gray <[email-masked]>
Date: Thu, 11 Aug 2011 07:03:09 -0400

Binny,

    We discussed this in detail.  Superficially, this seemed like a great idea,
with precedents in the CC/CV/RDI draft.

    The issues we ran into include:
1) the Static PW ID TLV is already a sub-TLV; there are issues and a very
    undesirable precedent associated with creating a sub-TLV for a sub-TLV.
2) the flexibility associated with inheriting the type code also poses a risk;
    we cannot know in advance what other AGI types might be invented in
    the future, and whether or not it would make sense in then existing TP
    implementations to support generally the new type(s) as part of the
    Static PW Identifier Sub-TLV.

    What we decided to do was to change the name of the field to "Service
Identifier" - which will be an unsigned integer and which may contain a type
0x01 AGI, for example.  Because it is an unsigned integer, it may also be
used to contain anything smaller than 64 bits.

    The flexibility to support other AGI types still exists, should it become
necessary to do so.  In that event, we could define additional Static PW
Sub-TLV type(s) to support any AGI type(s) that make sense at that time.

    Thanks for your thoughtful and thought-provoking input! We appreciate
your putting time into reviewing our draft...

--
Eric
________________________________
From: binny jeshan [mailto:[email-masked]]
Sent: Tuesday, July 12, 2011 3:46 AM
To: [email-masked]
Cc: [email-masked]; Ross Callon; George Swallow; MPLS-TP ad hoc team; Loa Andersson; Binny Jeshan
Subject: Need clarification on draft-ietf-mpls-tp-on-demand-cv-05

Dear Authors,

In the new draft version 05, in section 2.3.2 (Static Pseudowire Sub-TLV), AGI is not made up in a TLV format (when comparing RFC 4446 section 3.4; RFC 4447 Section 5.3.2).

I had raised this question during the review, but i am not understanding the reason behind why this is still not built in as a TLV, but 'always' a 2 word format (a normal 7byte+1pad L2VPN ID).

Kindly clarify

Thanks for the time,
Binny.

On 17 June 2011 11:34, binny jeshan <[email-masked]<mailto:[email-masked]>> wrote:
Hello,

In this new draft version section 2.3.2., where the AGI field is newly added, my question is - shouldn't the AGI Type and Length also be included in the FEC TLV structure?

Also, wouldn't it be clear if the usage of EXP bits in (PHB consideration) is also explicitly defined somewhere around the responder procedures?

Thanks,
Binny.

On 17 June 2011 01:30, Loa Andersson <[email-masked]<mailto:[email-masked]>> wrote:
Working Group.

the authors of draft-ietf-mpls-tp-on-demand-cv have updated the ID
after wg last call and published version -04 of the document.

A document detailing how the comments have been addressed will be
found at:
http://www.pi.nu/~loa/comments-on-03.xls<http://www.pi.nu/%7Eloa/comments-on-03.xls>

This is to start a working group call to verify that all comments
been adequately addressed. Please send your comments to the
mpls working group mailing list before June 24th.

Loa
on behalf of the MPLS wg co-chairs

--

Loa Andersson                         email: [email-masked]<mailto:[email-masked]>
Sr Strategy and Standards Manager            [email-masked]<mailto:[email-masked]>
Ericsson Inc                          phone: +46 10 717 52 13
                                            +46 767 72 92 13
_______________________________________________
mpls mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls

---

From: binny jeshan <[email-masked]>
Date: Sun, 14 Aug 2011 00:24:12 +0530

Hi Eric and Authors,

Thank you for considering this change in the new draft version 06.

-Binny

On 11 August 2011 16:33, Eric Gray <[email-masked]> wrote:

> **
>  ------------------------------
> *From:* binny jeshan [mailto:[email-masked]]
> *Sent:* Tuesday, July 12, 2011 3:46 AM
> *To:* [email-masked]
> *Cc:* [email-masked]; Ross Callon; George
> Swallow; MPLS-TP ad hoc team; Loa Andersson; Binny Jeshan
> *Subject:* Need clarification on draft-ietf-mpls-tp-on-demand-cv-05
>
> Dear Authors,
>
> In the new draft version 05, in section 2.3.2 (Static Pseudowire Sub-TLV),
> AGI is not made up in a TLV format (when comparing RFC 4446 section 3.4; RFC
> 4447 Section 5.3.2).
>
> I had raised this question during the review, but i am not understanding
> the reason behind why this is still not built in as a TLV, but 'always' a 2
> word format (a normal 7byte+1pad L2VPN ID).
>
> Kindly clarify
>
> Thanks for the time,
> Binny.
>
> On 17 June 2011 11:34, binny jeshan <[email-masked]> wrote:
>
>> Hello,
>>
>> In this new draft version section 2.3.2., where the AGI field is newly
>> added, my question is - shouldn't the AGI Type and Length also be included
>> in the FEC TLV structure?
>>
>> Also, wouldn't it be clear if the usage of EXP bits in (PHB consideration)
>> is also explicitly defined somewhere around the responder procedures?
>>
>> Thanks,
>> Binny.
>>
>>
>> On 17 June 2011 01:30, Loa Andersson <[email-masked]> wrote:
>>
>>> Working Group.
>>>
>>> http://www.pi.nu/~loa/comments-on-03.xls
>>>
>>> Loa Andersson                         email: [email-masked]
>>> Sr Strategy and Standards Manager            [email-masked]
>>> [email-masked]